> For the complete documentation index, see [llms.txt](https://docs.aeternity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/release-notes-6.9.0.md).

# About this release

[This](https://github.com/aeternity/aeternity/releases/tag/v6.9.0) is a maintenance Iris release.

It:

* Garbage collection has been rewritten, and now operates on all state trees. It is also\
  capable of running during chain sync.\
  See the documentation, garbage\_collection.md, for information on how to configure it.
* To eliminate the risk of garbage-collecting a competing fork, which is later evicted,\
  the garbage collector sweeps start below the fork resistance depth (or a user-configured depth)\
  below the top.
* API requests that try to retrieve state from heights below the latest GC height will now receive a 410 ("gone")\
  return code, instead of a 500 ("internal error"). **Potential incompatibility**: applications that depended on\
  the past behavior will need to adapt.
* Provides a way to setup the API webserver to skip reading the http\
  request body after an amount of bytes. When the length is too large\
  the webserver will close the connection. This is initially meant for\
  the Mdw but Nodes with lower RAM spec would benefit too.\
  On sys.config, it's an `aehttp`\
  config with the property:

  ```
  {protocol_options, [
      {max_skip_body_length, 1000000}
      ]}
  ```

  The minimum recommended value is 400000 to fully read a POST with the max\
  amount of bytes/gas that AE protocol allows in a micro block.\
  %

With regards of HyperChains it:

* Collects all commitments from the parent chain and feeds them to the smart\
  contract. The contract uses those to elect the next leader.
* Derives block difficulty from the total stake supporting this fork on the\
  parent chain: only stakers having parent chain commitments supporting the\
  previous block hash are considered.

Please join the **mainnet** by following the instructions in the documentation below,\
and let us know if you have any problems by [opening a ticket](https://github.com/aeternity/aeternity/issues).\
Troubleshooting of common issues is documented [in the wiki](https://github.com/aeternity/aeternity/wiki/Troubleshooting).

## Documentation

For an overview of the installation process for different platforms,\
building the package from source, configuration and operation of the Aeternity\
node please refer to [Aeternity node documentation](https://docs.aeternity.io/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/release-notes-6.9.0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
